Page MenuHomePhabricator

Add option to move articles between reading lists to the Wikipedia mobile app
Closed, ResolvedPublic3 Estimated Story Points

Description

The Wikipedia app for Android (and iOS?) should have an option to move articles between reading lists. To get to this option, a user could go to the "My lists" tab, choose a list, and tap and hold an article on that list. The menu that appears should have a "Move to another list" option.

A similar option is already present - "Add to another reading list". The issue with this option is that it does not remove the article from the original list after adding it to another one, which can be annoying when a user wants to move multiple articles (e.g. by using the "Select" option in the same menu).

I can't speak for everyone, but I'd imagine more people would be/are moving articles between lists than adding the same articles to multiple lists.

Event Timeline

Hmxhmx created this task.Nov 2 2019, 11:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2019, 11:27 AM

Hi @Hmxhmx, thanks for reporting this! Is this related to the offline feature, as this was reported under Android-app-feature-Offline? If not then this should probably be under Wikipedia-Android-App-Backlog - you can change project tags via the Add Action...Change Project Tags dropdown.

Changed the tag; wasn't sure where to put it when I was creating this ticket.

Hmxhmx added a comment.Nov 4 2019, 3:36 PM

@Aklapper Should I also add Wikipedia-iOS-App-Backlog if it isn't available in the iOS app? I suppose it's also missing there, but I can't be sure since I don't use any iOS devices.

Charlotte triaged this task as Medium priority.Nov 5 2019, 2:49 PM
Charlotte added a subscriber: Charlotte.

Thanks for the feature suggestion @Hmxhmx - this isn't something we can act on right away, but we will definitely keep it under consideration for a future release.

Charlotte added a subscriber: SNowick_WMF.EditedMay 11 2020, 6:05 PM

@SNowick_WMF - we will need to see how many people actually use the move function (not as a matter of priority though). I will make a subtask

Hi @schoenbaechler

Could you please provide the icon that can be used in the bottom sheet for the "move article to another list" option?

Source: https://app.zeplin.io/project/57a120b91998d8977642a238/screen/58b0511b68c27f6c809400fb

@cooltey here you go:

https://app.zeplin.io/project/57a120b91998d8977642a238/dashboard?seid=5ebd30ea033dc848968b1330

I created icons for Add to another reading list and Move to another reading list, please make sure to update both. Also make sure to be consistent when labelling the items (as defined above).

Thanks @schoenbaechler

I noticed that the icons have alpha values in them (0.38), not sure if it is expected.

And the screenshot below shows the icons that remove the alpha value.

thx @cooltey for being proactive ... looks good without the alpha value.

Thx @cooltey, two things to optimize.

01) Add option to “Move articles to another reading list” when tapping on “Save to reading list” in article toolbar for a consistent experience (the article needs to be added to a reading list to already so these options are visible).

02) I realized that the “Move to another reading list” icon was in a slight imbalance with the the “Add to another reading list” icon. I updated the move icon and added it to Zeplin — could you replace it, please?

👉 Zeplin with updated icon

cooltey added a comment.EditedMay 26 2020, 3:52 PM

Thx @cooltey, two things to optimize.

01) Add option to “Move articles to another reading list” when tapping on “Save to reading list” in article toolbar for a consistent experience (the article needs to be added to a reading list to already so these options are visible).

@schoenbaechler
The "move article" option might not be a good option here because the article might already have been contained in multiple reading lists. Since we cannot select the article from a certain reading list, not sure if we really want to implement it.

02) I realized that the “Move to another reading list” icon was in a slight imbalance with the the “Add to another reading list” icon. I updated the move icon and added it to Zeplin — could you replace it, please?

👉 Zeplin with updated icon

No problem!

The "move article" option might not be a good option here because the article might already have been contained in multiple reading lists. Since we cannot select the article from a certain reading list, not sure if we really want to implement it.

You’re absolutely right → let’s leave that out. Thx!

schoenbaechler added a comment.EditedMay 28 2020, 9:30 AM

@cooltey, I thought about this again 👇

Thx @cooltey, two things to optimize.

01) Add option to “Move articles to another reading list” when tapping on “Save to reading list” in article toolbar for a consistent experience (the article needs to be added to a reading list to already so these options are visible).

@schoenbaechler
The "move article" option might not be a good option here because the article might already have been contained in multiple reading lists. Since we cannot select the article from a certain reading list, not sure if we really want to implement it.

How about we show the option “Move to another reading list” only if the article is part of 1 reading list? I’d claim that this is the most common use case. We can hide the option if it’s part of multiple reading lists.

cooltey added a subscriber: Dbrant.May 29 2020, 1:40 AM

! In T237152#6171857, @schoenbaechler wrote:
How about we show the option “Move to another reading list” only if the article is part of 1 reading list? I’d claim that this is the most common use case. We can hide the option if it’s part of multiple reading lists.

We can do this on the programming side, but I would not recommend adding this behavior since it would confuse the users when "moving" the current article from a certain reading list that they might not remember.
cc @Dbrant

schoenbaechler added a comment.EditedMay 29 2020, 3:08 PM

@cooltey

(...) it would confuse the users when "moving" the current article from a certain reading list that they might not remember.

Confusion is relative, it depends on precise labelling, for example:

  • Move from %readingListName
  • Move to another reading list (from %readinglistName)
  • Move from %readingListName to another reading list

@schoenbaechler The third option makes more sense to me (Move from %readingListName to another reading list).

Do we want to implement this in the feed card list item? (e.g. trending card list item?)

ABorbaWMF added a subscriber: ABorbaWMF.

Looks good to me on 2.7.50322-alpha-2020-06-08

Dbrant closed this task as Resolved.Jun 30 2020, 1:50 PM